public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Bernard Cafarelli" <voyageur@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-plugins/wmbio/
Date: Sat,  9 Jul 2022 15:43:39 +0000 (UTC)	[thread overview]
Message-ID: <1657381252.7c3ae040dc00c514b7e45638467bad76b5bac056.voyageur@gentoo> (raw)

commit:     7c3ae040dc00c514b7e45638467bad76b5bac056
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  9 12:19:03 2022 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Sat Jul  9 15:40:52 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c3ae040

x11-plugins/wmbio: respect CC

Closes: https://bugs.gentoo.org/726230
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 x11-plugins/wmbio/wmbio-1.02.ebuild | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/x11-plugins/wmbio/wmbio-1.02.ebuild b/x11-plugins/wmbio/wmbio-1.02.ebuild
index d2d2e7ccc5fb..4c7d53c862ea 100644
--- a/x11-plugins/wmbio/wmbio-1.02.ebuild
+++ b/x11-plugins/wmbio/wmbio-1.02.ebuild
@@ -1,8 +1,10 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 
+inherit toolchain-funcs
+
 DESCRIPTION="A Window Maker applet that shows your biorhythm"
 HOMEPAGE="http://wmbio.sourceforge.net/"
 SRC_URI="mirror://sourceforge/wmbio/${P}.tar.gz"
@@ -23,10 +25,14 @@ S=${WORKDIR}/${P}/src
 
 src_prepare() {
 	default
-	# Honour Gentoo CFLAGS
-	sed -i "s/-g -O2/\$(CFLAGS)/" Makefile || die
-	# Honour Gentoo LDFLAGS
-	sed -i "s/-o wmbio/\$(LDFLAGS) -o wmbio/" Makefile || die
+	# Honour Gentoo CFLAGS, LDFLAGS, CC
+	sed -i -e "s/-g -O2/\$(CFLAGS)/" \
+		-e "s/-o wmbio/\$(LDFLAGS) -o wmbio/" \
+		-e "s/cc /\$(CC) /" Makefile || die
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)"
 }
 
 src_install() {


             reply	other threads:[~2022-07-09 15:43 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-09 15:43 Bernard Cafarelli [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-15  7:33 [gentoo-commits] repo/gentoo:master commit in: x11-plugins/wmbio/ Arthur Zamarin
2024-04-15  7:07 Arthur Zamarin
2024-04-13 18:47 Arthur Zamarin
2024-04-13 18:39 Arthur Zamarin
2023-06-13 14:16 Bernard Cafarelli
2022-03-04  0:40 Sam James
2018-05-29 13:18 Aaron Bauman
2017-11-24 23:25 Bernard Cafarelli

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1657381252.7c3ae040dc00c514b7e45638467bad76b5bac056.voyageur@gentoo \
    --to=voyageur@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox